/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_BRANCH_SHARE' AND KSQL_COL_NAME ='FNEWSHARERATE') 
 ALTER TABLE T_TCCIT_BRANCH_SHARE ADD (FNEWSHARERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_BRANCH_SHARE' AND KSQL_COL_NAME ='FNEWINITSHARERATE') 
 ALTER TABLE T_TCCIT_BRANCH_SHARE ADD (FNEWINITSHARERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A000000_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A000000_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGDMC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FZJLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FZJHM VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZBL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGUOJI VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJBASEDATA BIGINT DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A107011_DY1') 
 CREATE TABLE T_TCCIT_QYSDS_A107011_DY1 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBTZQY VARCHAR(300) DEFAULT ' ' NOT NULL,
FBTZQYSHXYDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZXZ VARCHAR(120) DEFAULT ' ' NOT NULL,
FTZXZBASEDATA BIGINT DEFAULT 0 NOT NULL,
FTZCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZLRFPQRJEJDSJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBTZLRFPQRJESYJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJEQSSYZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJELJWFPLRYYGJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJEYQRGXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEJSTZBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJESHCSTZCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEQDCGSH DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJELJWFPLRYYGJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEYQRGXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A107011_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A107011_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBTZQY VARCHAR(300) DEFAULT ' ' NOT NULL,
FBTZQYSHXYDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZXZ VARCHAR(120) DEFAULT ' ' NOT NULL,
FTZXZBASEDATA BIGINT DEFAULT 0 NOT NULL,
FTZCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZLRFPQRJEJDSJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBTZLRFPQRJESYJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJEQSSYZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJELJWFPLRYYGJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBTZQSQRJEYQRGXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEJSTZBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJESHCSTZCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEQDCGSH DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJELJWFPLRYYGJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHJSTZQRJEYQRGXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A108000_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A108000_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJDQ VARCHAR(200) DEFAULT ' ' NOT NULL,
FJWSQSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSTZHSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMBJWYQNKS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWYNSSDE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDJJNKS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDJJNKSHJWYNE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSL2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDYNSE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDKDMSE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDDMXE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNKDMJWSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWCGJWDMXEYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKDMYQNWDMJWSDE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYJSDYLDYEWDME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYJSLDYEWDME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYJSLDEWDME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYJSXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDDMSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDSSDMFS VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A108010_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A108010_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJDQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FJWSHFZJGYYLR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHGXHLTZSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHLXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHZJSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHTXQFYSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHCCZRSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHQTSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSHXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDKDMZJJN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDKDMJJFD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDKDMXSSRRDM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDKDMXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSQSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWFZSRZCTZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWFZTZFTKCCBFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDTZCBFYZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDTZHSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYYLR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFTKCCBFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSTZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSTZHSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDYDGXSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGXJWSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWMSSDXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A108030_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A108030_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJDQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FQWNQWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWNQSIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWNQSANN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWNQLN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWNQYN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWNXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNQWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNQSIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNQSANN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNQLN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNQYN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBNXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZQSIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZQSANN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZQLN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZQYN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJBZN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A109010_DYN') 
 CREATE TABLE T_TCCIT_QYSDS_A109010_DYN (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGZGSWJDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGLXLB VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGMC VARCHAR(300) DEFAULT ' ' NOT NULL,
FFZJGSRZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFZJGGZZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFZJGZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGYHBASEDATA BIGINT DEFAULT 0 NOT NULL,
FQNLJFPJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSMZDFYHFD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSMZDFYHJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQNLJYXSMZDFYHJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYMZDFYHTZFPJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJFPSDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_QYSDS_A108020' AND KSQL_COL_NAME ='FROWNUMBER') 
 ALTER TABLE T_TCCIT_QYSDS_A108020 ADD (FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
